Subject: [ipcdn] Comments on draft-ietf-ipcdn-pktc-eventmess-04.txt

From: "Sumanth Channabasappa" <[email-masked]>
Date: Fri, 12 Aug 2005 11:03:50 -0600

Folks,

This mail is to solicit feedback on draft-04 of the "Management Event
MIB for PacketCable/IPCablecom MTAs".

Comments received so far include:

- There is no MIB Object defined as 'pktcDevEventThrottle 3' (we have
MIB Objects for 2 and 4)

- The Reference in the description of the MIB Object
'pktcDevEvLogCorrelationId' seems to be out of place.

And a few editorial nits. We plan to wrap this up in the next couple of
weeks, so comments would be appreciated. 

- S 

_______________________________________________
IPCDN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipcdn

---

From: Nakanishi Greg-MGI8179 <[email-masked]>
Date: Mon, 15 Aug 2005 17:49:02 -0700

My comments ---

1) I suggest "PacketCable" and "IPCablecom"  be defined in the Terminology section.

2) There are a number of places in the document that makes reference to "PacketCable device".  Shouldn't this be "PacketCable or IPCablecom device"?  Or more simply "MTA device".

3) The naming convention we've been using on other MIB modules in IPCDN adds "-IETF-" to the module name to distinguish it from the corresponding MIB module being developed in CableLabs.  So, it this case, the MIB module name should be something like "PKTC-IETF-EVENT-MIB".

4) I think the ORGANIZATION clause should be IPCDN rather than CableLabs.

5) The DESCRIPTION clause is missing the mandatory copyright notice.

6) The OID layout doesn't conform to the recommended layout given in "Guidelines for MIB Documents", Appendix D.

7) pktcDevEnvetReportStatus - The last sentence of the DESCRIPTION clause states "... Defined by PacketCable by default."  Should this just PacketCable or PacketCable and IPCablecom.

8) pktcDevEvThrottleAdminStatus 
- The description makes mention of throttling events using SNMP and Syslog.  What about the local log?  Are events written to the local log not subject to throttling?  
- "A value of stopAtThreshold(3) causes event message transmission to cease at the threshold, and not resume until directed to do so." How is the device directed to resume sending event messages?

9) pktcDevEvThrottleThreshold  - Same comment as above about the local log.

10) pktcDevEvThrottleInterval  - The DEFVAL clause should be on a separate line for readability.

11) pktcDevEventDescrTable - Should the reference to "PacketCable" be "PacketCable/IPCablecom"?

12) pktcDevEventDescrId - "The event identifier can either be PacketCable defined or vendor-specific." Would be good to provide a reference to the PacketCable spec where the events are defined.

13) pktcDevEventDescrReporting - Should define what each one of the bit values mean.

14) pktcDevEventDescrText and pktcDevEventDescrClass - These objects are read-write.  It seems odd to me that these objects would be writable.  Is it really intended that these are writable objects?

15) pktcDevEvLogCorrelationId - "...per section 5.4.5 of [3]"  Reference [3] doesn't exist in the references section.

16) [PKT-SP-EVEMIB1.5] - There is an odd character after the "PacketCable"

17) Reference section - There are number of reference in the body of the text that do not exist in the references section.  Need to make sure all reference are cited.  The ones I found are PKT-SP-PROV, PKT-SP-MIB-MTA, PKT-SP-MGCP, RFC3435, PKT-SP-CODEC, and RFC2119.

18) Security Considerations - Per the MIB Guidelines, need to explicit discuss all MIB objects, even if to only state that there are no security issues with the object.

greg

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Sumanth Channabasappa
Sent: Friday, August 12, 2005 10:04 AM
To: [email-masked]
Subject: [ipcdn] Comments on draft-ietf-ipcdn-pktc-eventmess-04.txt

Folks,

This mail is to solicit feedback on draft-04 of the "Management Event MIB for PacketCable/IPCablecom MTAs".

- There is no MIB Object defined as 'pktcDevEventThrottle 3' (we have MIB Objects for 2 and 4)

- The Reference in the description of the MIB Object 'pktcDevEvLogCorrelationId' seems to be out of place.

And a few editorial nits. We plan to wrap this up in the next couple of weeks, so comments would be appreciated. 

- S

---

From: "Jean-Francois Mule" <[email-masked]>
Date: Thu, 18 Aug 2005 12:11:46 -0600

Thanks Greg. This set of comments is considered as one expert review.

Jean-François

> From: Nakanishi Greg-MGI8179 [mailto:[email-masked]]
> Sent: Monday, August 15, 2005 6:49 PM
> To: Sumanth Channabasappa; [email-masked]
> Subject: RE: [ipcdn] Comments on draft-ietf-ipcdn-pktc-eventmess-
> 04.txt
> 
> My comments ---
> 
> 2) There are a number of places in the document that makes reference
> to "PacketCable device".  Shouldn't this be "PacketCable or IPCablecom
> device"?  Or more simply "MTA device".
> 
> 3) The naming convention we've been using on other MIB modules in
> IPCDN adds "-IETF-" to the module name to distinguish it from the
> corresponding MIB module being developed in CableLabs.  So, it this
> case, the MIB module name should be something like "PKTC-IETF-EVENT-
> MIB".
> 
> 6) The OID layout doesn't conform to the recommended layout given in
> "Guidelines for MIB Documents", Appendix D.
> 
> 7) pktcDevEnvetReportStatus - The last sentence of the DESCRIPTION
> clause states "... Defined by PacketCable by default."  Should this
> just PacketCable or PacketCable and IPCablecom.
> 
> - The description makes mention of throttling events using SNMP and
> Syslog.  What about the local log?  Are events written to the local
> log not subject to throttling?
> - "A value of stopAtThreshold(3) causes event message transmission to
> cease at the threshold, and not resume until directed to do so." How
> is the device directed to resume sending event messages?
> 
> 12) pktcDevEventDescrId - "The event identifier can either be
> PacketCable defined or vendor-specific." Would be good to provide a
> reference to the PacketCable spec where the events are defined.
> 
> 14) pktcDevEventDescrText and pktcDevEventDescrClass - These objects
> are read-write.  It seems odd to me that these objects would be
> writable.  Is it really intended that these are writable objects?
> 
> 15) pktcDevEvLogCorrelationId - "...per section 5.4.5 of [3]"
> Reference [3] doesn't exist in the references section.
> 
> 17) Reference section - There are number of reference in the body of
> the text that do not exist in the references section.  Need to make
> sure all reference are cited.  The ones I found are PKT-SP-PROV, PKT-
> SP-MIB-MTA, PKT-SP-MGCP, RFC3435, PKT-SP-CODEC, and RFC2119.
> 
> 18) Security Considerations - Per the MIB Guidelines, need to explicit
> discuss all MIB objects, even if to only state that there are no
> security issues with the object.
> 
> greg
> 
> And a few editorial nits. We plan to wrap this up in the next couple
> of weeks, so comments would be appreciated.
> 
> - S
>

---

From: "Eugene Nechamkin" <[email-masked]>
Date: Thu, 18 Aug 2005 17:52:01 -0700

This is especially important on the MTA side as the device usually has more
limited resources for local events storage. Having local events throttled on
the MTA will also allow the MSOs to fine-tune the logging system as a whole
and to reduce the risk of the events being lost.

Eugene.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Randy Presuhn
Sent: Thursday, August 18, 2005 3:59 PM
To: [email-masked]
Subject: Re: [ipcdn] Comments on draft-ietf-ipcdn-pktc-eventmess-04.txt

Hi -

> From: "Sumanth Channabasappa" <[email-masked]>
> To: "Jean-Francois Mule" <[email-masked]>; "Nakanishi 
> Greg-MGI8179" <[email-masked]>; <[email-masked]>
> Sent: Thursday, August 18, 2005 11:46 AM
> Subject: RE: [ipcdn] Comments on 
> draft-ietf-ipcdn-pktc-eventmess-04.txt
...
> log not subject to throttling?
...

I'd suggest that if we don't leave it up to the implementation, that it would
be best for throttling to affect all destinations equally.  Swamped logs are
the same kind of problem, whether on the local system or a remote one.

Randy